<?php 
namespace Lib\Alidayu;
include('TopSdk.php');
use TopClient;
use AlibabaAliqinFcSmsNumSendRequest;

class SendMSM {
	public function send($recNum,$smsParam,$smsTemplateCode,$smsFreeSignName,$nickname){
		$c = new TopClient;
    	$c->appkey = '23550159';
    	$c->secretKey = '64d3b88742a2fa38d1092c3ca91c7934';

		$req = new AlibabaAliqinFcSmsNumSendRequest;
		$req ->setExtend( "" );
		$req ->setSmsType( "normal" );
		$req ->setSmsFreeSignName($smsFreeSignName);
		$req ->setSmsParam( $smsParam);
		$req ->setRecNum($recNum);
		$req ->setSmsTemplateCode( $smsTemplateCode );
		$resp = $c ->execute( $req );
		return $resp;
	}
}